RAPID-PHOTO-DOWNLOADER(1)

NAME
rapid-photo-downloader

SYNOPSIS
rapid-photo-downloader [-h] [--version] [--detailed-version] [-v] [--debug] [-e] [--photo-renaming {on,off}] [--video-renaming {on,off}] [-a {on,off}] [-t {on,off}] [--this-computer-location PATH] [--photo-destination PATH] [--video-destination PATH] [-b {on,off}] [--backup-auto-detect {on,off}] [--photo-backup-identifier FOLDER] [--video-backup-identifier FOLDER] [--photo-backup-location PATH] [--video-backup-location PATH] [--ignore-other-photo-file-types] [--auto-download-startup {on,off}] [--auto-download-device-insertion {on,off}] [--thumbnail-cache {on,off}] [--delete-thumbnail-cache] [--forget-remembered-files] [--reset] [--log-gphoto2] [--camera-info] [--force-system-theme] [-platform {wayland,xcb}] [path]

DESCRIPTION
Downloads, renames and backs up photos and videos from cameras, phones, memory cards and other devices.

path
    Optional value that when specified, is parsed to determine if it represents an automatically detected device or a path on this computer. If the PATH represents an automatically detected device, automatic detection of devices is turned on, as in the '--auto-detect option'. Furthermore, downloading from a manually specified path as in the '--this-computer-location' option is turned off. Otherwise, the PATH is assumed to be a manually specified path as in the '--this-computer-location' option, in which case downloading from this computer is turned on and downloading from automatically detected devices is turned off.

OPTIONS

--version
    show program's version number and exit

--detailed-version
    Show version numbers of program and its libraries and exit.

-v, --verbose
    Display program information when run from the command line.

--debug
    Display debugging information when run from the command line.

-e, --extensions
    List photo and video file extensions the program recognizes and exit.

--photo-renaming {on,off}
    Turn on or off the the renaming of photos.

--video-renaming {on,off}
    Turn on or off the the renaming of videos.

-a {on,off}, --auto-detect {on,off}
    Turn on or off the automatic detection of devices from which to download.

-t {on,off}, --this-computer {on,off}
    Turn on or off downloading from this computer.

--this-computer-location PATH
    The PATH on this computer from which to download.

--photo-destination PATH
    The PATH where photos will be downloaded to.

--video-destination PATH
    The PATH where videos will be downloaded to.

-b {on,off}, --backup {on,off}
    Turn on or off the backing up of photos and videos while downloading.

--backup-auto-detect {on,off}
    Turn on or off the automatic detection of backup devices.

--photo-backup-identifier FOLDER
    The FOLDER in which backups are stored on the automatically detected photo backup device, with the folder's name being used to identify whether or not the device is used for backups. For each device you wish to use for backing photos up to, create a folder on it with this name.

--video-backup-identifier FOLDER
    The FOLDER in which backups are stored on the automatically detected video backup device, with the folder's name being used to identify whether or not the device is used for backups. For each device you wish to use for backing up videos to, create a folder on it with this name.

--photo-backup-location PATH
    The PATH where photos will be backed up when automatic detection of backup devices is turned off.

--video-backup-location PATH
    The PATH where videos will be backed up when automatic detection of backup devices is turned off.

--ignore-other-photo-file-types
    Ignore photos with the following extensions: TIF, TIFF and MPO

--auto-download-startup {on,off}
    Turn on or off starting downloads as soon as the program itself starts.

--auto-download-device-insertion {on,off}
    Turn on or off starting downloads as soon as a device is inserted.

--thumbnail-cache {on,off}
    Turn on or off use of the Rapid Photo Downloader Thumbnail Cache. Turning it off does not delete existing cache contents.

--delete-thumbnail-cache
    Delete all thumbnails in the Rapid Photo Downloader Thumbnail Cache, and exit.

--forget-remembered-files
    Forget which files have been previously downloaded, and exit.

--reset
    Reset all program settings to their default values, delete all thumbnails in the Thumbnail cache, forget which files have been previously downloaded, and exit.

--log-gphoto2
    Include gphoto2 debugging information in log files.

--camera-info
    Print information to the terminal about attached cameras and exit.

--force-system-theme
    Use the system Qt theme instead of the built-in theme

-platform {wayland,xcb}
    Run this program in wayland or regular X11

COMMENTS
If the environment variable RPD_SCAN_DEBUG is set to any value, the program's scan operation will output voluminous debug information to stdout.

If the environment variable RPD_DEVEL_DEFAULTS is set to any value, the program's default preferences will be set to those of a development environment.

Report bugs to https://bugs.rapidphotodownloader.com/

Copyright 2007-2026 Damon Lynch. License GPLv3+: GNU GPL version 3 or later https://gnu.org/licenses/gpl.html. This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

AUTHOR
Damon Lynch <damonlynch@gmail.com>